{
	"info": {
		"_postman_id": "f1f715b8-fc95-4a72-bd17-4913fd0c30f4",
		"name": "4)Общие методы для всех документов",
		"schema": "https://schema.getpostman.com/json/collection/v2.1.0/collection.json",
		"_exporter_id": "14639476"
	},
	"item": [
		{
			"name": "edo-api/outgoing-documents",
			"request": {
				"auth": {
					"type": "bearer",
					"bearer": [
						{
							"key": "token",
							"value": "{{token}}",
							"type": "string"
						}
					]
				},
				"method": "GET",
				"header": [
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text",
						"disabled": true
					}
				],
				"url": {
					"raw": "{{host}}edo-api/outgoing-documents?type=1300",
					"host": [
						"{{host}}edo-api"
					],
					"path": [
						"outgoing-documents"
					],
					"query": [
						{
							"key": "statuses",
							"value": "3",
							"description": "3: 'Ожидает подтверждения',\n5: 'Отклонен',\n8: 'Запрошено уточнение',\n10: 'Ошибка доставки',\n16: 'Отозван'\n17: 'Аннулирован'\n19: 'Готов к регистрации'\n61: \"Подписан получателем\"",
							"disabled": true
						},
						{
							"key": "type",
							"value": "1300",
							"description": "1000 - Акт приема-передачи; 1100 - Корректировочный Акт приема-передачи; 1200 - Уведомление о ввозе товаров (ЕАЭС) 1300"
						},
						{
							"key": "limit",
							"value": "9",
							"disabled": true
						},
						{
							"key": "partner_inn",
							"value": "020619550137",
							"disabled": true
						},
						{
							"key": "create_from",
							"value": "1684994000",
							"description": "unixtime",
							"disabled": true
						},
						{
							"key": "create_to",
							"value": "1683802906",
							"description": "unixtime",
							"disabled": true
						},
						{
							"key": "offset",
							"value": "",
							"disabled": true
						},
						{
							"key": "sortBy",
							"value": "id",
							"disabled": true
						},
						{
							"key": "asc",
							"value": "false",
							"description": "true - натуральная\nfalse - в обратном порядке",
							"disabled": true
						}
					]
				}
			},
			"response": []
		},
		{
			"name": "edo-api/incoming-documents",
			"request": {
				"auth": {
					"type": "bearer",
					"bearer": [
						{
							"key": "token",
							"value": "{{token}}",
							"type": "string"
						}
					]
				},
				"method": "GET",
				"header": [
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text",
						"disabled": true
					}
				],
				"url": {
					"raw": "{{host}}edo-api/incoming-documents?statuses=3&type=1000",
					"host": [
						"{{host}}edo-api"
					],
					"path": [
						"incoming-documents"
					],
					"query": [
						{
							"key": "statuses",
							"value": "3",
							"description": "3: 'Ожидает подтверждения'\n4: 'Подписан получателем' (или подтвержден)\n5: 'Отклонен'\n8: 'На согласовании'\n16: 'Отозван'\n17: 'Аннулирован'\n"
						},
						{
							"key": "type",
							"value": "1000",
							"description": "АКТ-ПП-1000 и ЕАЭС-1200"
						},
						{
							"key": "limit ",
							"value": "1000000",
							"disabled": true
						},
						{
							"key": "asc",
							"value": "",
							"description": "true - натуральная\nfalse - в обратном порядке",
							"disabled": true
						},
						{
							"key": "create_from",
							"value": "1682338532",
							"disabled": true
						},
						{
							"key": "create_to",
							"value": "1685522884",
							"disabled": true
						},
						{
							"key": "partner_inn",
							"value": "940517350290",
							"disabled": true
						}
					]
				}
			},
			"response": []
		},
		{
			"name": "outgoing-documents/{documentId}/base64 - тело исходящего",
			"request": {
				"method": "GET",
				"header": [
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"url": {
					"raw": "{{host}}edo-api/outgoing-documents/46ba4c0c-e40d-4e3b-8c0f-4e81dc86c96e",
					"host": [
						"{{host}}edo-api"
					],
					"path": [
						"outgoing-documents",
						"46ba4c0c-e40d-4e3b-8c0f-4e81dc86c96e"
					],
					"query": [
						{
							"key": null,
							"value": null,
							"description": "Получение тела исходящего документа по documentId в base64.",
							"disabled": true
						}
					]
				}
			},
			"response": []
		},
		{
			"name": "incoming-documents/{documentId}/base64 - тело входящего",
			"request": {
				"auth": {
					"type": "bearer",
					"bearer": [
						{
							"key": "token",
							"value": "{{token}}",
							"type": "string"
						}
					]
				},
				"method": "GET",
				"header": [
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"url": {
					"raw": "{{host}}edo-api/incoming-documents/5d2c90cb-f473-4b32-a9a0-7ee69c0f2d78/base64",
					"host": [
						"{{host}}edo-api"
					],
					"path": [
						"incoming-documents",
						"5d2c90cb-f473-4b32-a9a0-7ee69c0f2d78",
						"base64"
					],
					"query": [
						{
							"key": null,
							"value": null,
							"description": "Получение тела входящего документа по documentId в base64.",
							"disabled": true
						}
					]
				}
			},
			"response": []
		},
		{
			"name": "documents/info/{documentId} - Документы",
			"request": {
				"method": "GET",
				"header": [
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"url": {
					"raw": "{{host}}documents/info/KZ_EAES_37c995c3-0c37-430c-8ca5-7224d12301a5",
					"host": [
						"{{host}}documents"
					],
					"path": [
						"info",
						"KZ_EAES_37c995c3-0c37-430c-8ca5-7224d12301a5"
					],
					"query": [
						{
							"key": "type",
							"value": "MTTPS_90 ",
							"description": "KZ_INTRODUCE_GOODS (повторный ввод в оборот)\nMTTPS_90 (вывод из оборота)\n",
							"disabled": true
						}
					]
				}
			},
			"response": []
		},
		{
			"name": "documents/search - Документы все",
			"request": {
				"auth": {
					"type": "bearer",
					"bearer": [
						{
							"key": "token",
							"value": "{{token}}",
							"type": "string"
						}
					]
				},
				"method": "POST",
				"header": [
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"body": {
					"mode": "raw",
					"raw": "{\r\n    \"dataFrom\": \"2021-11-10T09:10:47Z\",\r\n    \"documentType\": \"KZ_UPD\",\r\n    \"senderBin\":\"\",\r\n    \"receiverBin\":\"\"\r\n    \r\n}\r\n"
				},
				"url": {
					"raw": "{{host}}documents/search",
					"host": [
						"{{host}}documents"
					],
					"path": [
						"search"
					],
					"query": [
						{
							"key": "documentType",
							"value": "MTTPS_90",
							"description": "KZ_INTRODUCE_GOODS (повторный ввод в оборот)\nMTTPS_90 (вывод из оборота)\nIMPORT (ввоз из третьих стран)\nIMPORT_TRANSIT (ввоз из стран ЕАЭС)\nWRITE_OFF (вывод из оборота)\nAGGREGATION_DOCUMENT (агрегация)\nKZ_UPD (акт ПП)",
							"disabled": true
						}
					]
				}
			},
			"response": []
		}
	],
	"auth": {
		"type": "bearer",
		"bearer": [
			{
				"key": "token",
				"value": "{{token}}",
				"type": "string"
			}
		]
	},
	"event": [
		{
			"listen": "prerequest",
			"script": {
				"type": "text/javascript",
				"exec": [
					""
				]
			}
		},
		{
			"listen": "test",
			"script": {
				"type": "text/javascript",
				"exec": [
					""
				]
			}
		}
	]
}